web-dev-qa-db-de.com

Führen Sie die App in iOS 6 Simulator in Xcode 6 aus

Meine Anwendung unterstützt iOS 6.1. Wie finde und installiere ich diesen Simulator in Xcode 6?

46
Fabio

In Xcode 6 Beta 3 scheint iOS Simulator für iOS Version 6.x veraltet zu sein.

Apple missbilligt alte Technologien sehr aggressiv. Formal gesagt, sollten Sie die Unterstützung für ältere Versionen von Betriebssystemen wie 6.x ablehnen.

Wie auch immer, wir haben eine Situation, in der wir es nicht schaffen können. Wenn der Xcode keine ältere Version des Simulators bereitstellt, ist die einzige Möglichkeit, dies zu tun, die Installation einer älteren Version von Xcode.

Installieren Sie Xcode 5 und führen Sie den Simulator manuell aus. ([Xcode] -> [Open Developer Tools] -> [iOS Simulator])

enter image description here

Jede Xcode-Version kann nebeneinander installiert und ausgeführt werden. Hier erfahren Sie, wie Sie alte Xcode-Versionen erhalten.

Derzeit können Sie nur Xcode 5.x verwenden.

37
Eonil